summaryrefslogtreecommitdiff
path: root/demo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'demo.sh')
-rwxr-xr-xdemo.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/demo.sh b/demo.sh
new file mode 100755
index 0000000..3ce92e3
--- /dev/null
+++ b/demo.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# Every "blue/green" setup relies on a common user that keeps
+# all the shared data (keys, for example). In our setup, test-*
+# and demo-* rely on the users 'test' and 'demo'. This script
+# automates the configuration of the 'demo' user.
+
+if ! test "demo" = $(whoami); then
+ echo This script can only be run by the 'demo' user, exiting..
+ exit 1
+fi
+
+echo Creating the 'shared-data' directory.
+mkdir $HOME/shared-data